Bug 248793 - make logout confirmation dialog go away!
Summary: make logout confirmation dialog go away!
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords: FutureFeature, Patch, Reopened, StringChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-18 20:05 UTC by Jonathan Kamens
Modified: 2009-04-13 00:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 00:35:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add this to gnome-session-properties (5.33 KB, patch)
2009-04-07 18:11 UTC, Jonathan Kamens
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 578801 None None None Never

Description Jonathan Kamens 2007-07-18 20:05:27 UTC
In the good old days, when I click log out on the menu, I was logged out.

Recently, logout started popping up a 60-second confirmation dialog.  I don't 
want this dialog.  When I say log out, I mean log out.

I did some googling and discovered there's supposed to be an option in the 
Session preferences to disable the confirmation dialog, but I see no such 
option when I run the Session preferences.

I'm using all current packages from devel.

Comment 1 Ray Strode [halfline] 2007-07-22 22:52:31 UTC
I *thought* we fixed this already...  I wonder if I'm wrong or the patch just
fell out of rawhide and through the cracks.

Comment 2 Bug Zapper 2008-04-04 13:24:38 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-11-26 07:35:04 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Matthias Clasen 2009-04-06 04:29:58 UTC
The ui for it is gone, but in my testing, the /apps/gnome-session/options/logout_prompt gconf key does actually work nowadays.

Comment 5 Jonathan Kamens 2009-04-07 16:18:15 UTC
If there's no UI, then there is still a bug here.  You can't honestly expect users to access legitimate functionality by messing around with gconf keys.  Reopening ticket.

Comment 6 Matthias Clasen 2009-04-07 17:30:43 UTC
Exposing every gconf key under the world in the ui is insane.

Comment 7 Jonathan Kamens 2009-04-07 18:11:40 UTC
Created attachment 338557 [details]
patch to add this to gnome-session-properties

Would a patch change your mind? :-)

The options tab of gnome-session-properties is nearly empty (only one option), so I think that talking about "every gconf key" is a red herring.  This is functionality that people will appreciate, and given that there's ample room in the UI, I see no reason not to expose it.

Comment 8 Matthias Clasen 2009-04-08 16:41:21 UTC
Ok, not going to play the close/open game with you. 
Lets keep this open forever then.

Comment 9 Jonathan Kamens 2009-04-13 00:35:02 UTC
I honestly don't understand what I've done to earn your animosity, and frankly I also don't understand why you are so deadset against the proposed functionality, but in any case, the right people to decide whether to incorporate the functionality into the code are the people who maintain it, so I've upstreamed this issue.


Note You need to log in before you can comment on or make changes to this bug.